<template>
  <div class="atom-contact-card">
    <nuxt-link :to="data.uri">
      <div class="portrait">
        <atom-image
          v-if="data.featuredImage"
          ratio="1x1"
          :image="data.featuredImage.node"
          :lazyload="false"
        />
      </div>
    </nuxt-link>
    <div class="info">
      <nuxt-link class="no-link-styling" :to="data.uri">
        <h3 class="h4">{{ data.title }}</h3>
        <p class="jobtitel">
          {{ data.content.jobtitel }}
        </p>
      </nuxt-link>
      <a
        v-if="data.content.email"
        class="contact"
        :href="`mailto:${data.content.email}`"
        >{{ data.content.email }}</a
      >
      <a
        v-if="data.content.telefon"
        class="contact"
        :href="`tel:${data.content.telefon}`"
        >{{ data.content.telefon }}</a
      >
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: () => {},
    },
  }
}
</script>

<style lang="scss" scoped>
.atom-contact-card {
  background: $white;
  box-shadow: 10px 10px 0px 0px $green;
  transition: box-shadow 0.2s linear;
  width: calc(100% - 2rem);
  margin: 0 1rem 2rem;

  @include media-breakpoint-up(lg) {
    margin: 0 0 2rem;
    width: calc(100% - 10px);
  }

  &:hover {
    box-shadow: 10px 10px 0px 0px $primary;
  }

  .portrait {
    width: 100%;
    padding-bottom: 100%;
    background: #f5f5f5;
    position: relative;

    .img-container {
      position: absolute !important;
      width: 100%;
    }
  }

  .info {
    padding: 0 2rem 2rem;
    font-weight: 300;

    .jobtitel {
      font-size: 1.125rem;
      margin-bottom: 1.25rem;
    }

    .contact {
      display: block;
      margin-bottom: 0.75rem;
      font-size: 1rem;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  .h4 {
    padding-top: 2rem;
    text-transform: uppercase;
    margin-bottom: 0.75rem;
  }
}
</style>
